Bug 1299171 - [abrt] PySolFC: ImageTk.py:182:paste:OverflowError: Python int too large to convert to C long
[abrt] PySolFC: ImageTk.py:182:paste:OverflowError: Python int too large to c...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PySolFC (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:14157036ebb9a27b399c867ded8...
:
: 1322541 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 17:34 EST by tuleybw.hma
Modified: 2016-12-20 12:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.40 KB, text/plain)
2016-01-16 17:34 EST, tuleybw.hma
no flags Details
File: environ (1.51 KB, text/plain)
2016-01-16 17:34 EST, tuleybw.hma
no flags Details

  None (edit)
Description tuleybw.hma 2016-01-16 17:34:09 EST
Description of problem:
Clicked on he shortcut to start the program.

Version-Release number of selected component:
PySolFC-2.0-11.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/share/PySolFC/pysol.py --sound-mod=pygame
dso_list:       python-pillow-tk-3.0.0-1.fc23.i686
executable:     /usr/share/PySolFC/pysol.py
kernel:         4.3.3-300.fc23.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
ImageTk.py:182:paste:OverflowError: Python int too large to convert to C long

Traceback (most recent call last):
  File "/usr/share/PySolFC/pysol.py", line 32, in <module>
    sys.exit(main(sys.argv))
  File "/usr/lib/python2.7/site-packages/pysollib/main.py", line 359, in main
    r = pysol_init(app, args)
  File "/usr/lib/python2.7/site-packages/pysollib/main.py", line 196, in pysol_init
    app.loadImages1()
  File "/usr/lib/python2.7/site-packages/pysollib/app.py", line 712, in loadImages1
    im = loadImage(fn)
  File "/usr/lib/python2.7/site-packages/pysollib/tile/tkutil.py", line 276, in makeImage
    im = PIL_Image(file)
  File "/usr/lib/python2.7/site-packages/pysollib/tile/tkutil.py", line 254, in __init__
    ImageTk.PhotoImage.__init__(self, image)
  File "/usr/lib/python2.7/site-packages/PIL/ImageTk.py", line 115, in __init__
    self.paste(image)
  File "/usr/lib/python2.7/site-packages/PIL/ImageTk.py", line 182, in paste
    _imagingtk.tkinit(tk.interpaddr(), 1)
OverflowError: Python int too large to convert to C long

Local variables in innermost frame:
box: None
_imagingtk: <module 'PIL._imagingtk' from '/usr/lib/python2.7/site-packages/PIL/_imagingtk.so'>
image: <ImagingCore object at 0xb56ca800>
im: <PIL.Image.Image image mode=RGBA size=48x48 at 0xB56E0D8C>
tk: <tkapp object at 0xb70508d8>
self: <pysollib.tile.tkutil.PIL_Image object at 0xb56e0d6c>
block: <ImagingCore object at 0xb56ca800>
Comment 1 tuleybw.hma 2016-01-16 17:34:13 EST
Created attachment 1115527 [details]
File: backtrace
Comment 2 tuleybw.hma 2016-01-16 17:34:14 EST
Created attachment 1115528 [details]
File: environ
Comment 3 John Duchek 2016-02-25 19:39:47 EST
I am having the same problem, but only on my i686 machine. My 64bit machine is running it fine under Fedora23.  My i686 machine runs it fine on Fedora 22
John
Comment 4 Adam Goode 2016-04-24 20:10:26 EDT
*** Bug 1322541 has been marked as a duplicate of this bug. ***
Comment 5 Adam Goode 2016-04-24 20:15:54 EDT
If I download the tarball from sf.net and run it directly, it works. So something is wrong with the Fedora package.
Comment 6 Fedora End Of Life 2016-11-24 09:59:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 12:56:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.